import { IWidgetContext, IWidgetInstance } from "lime";
import { FileUploadAIComponent, getActions, FileAIModule } from "./main";

export const widgetFactory = (context: IWidgetContext): IWidgetInstance => {
	return {
		angularConfig: {
			moduleType: FileAIModule,
			componentType: FileUploadAIComponent
		},
		actions: getActions(context),
	};
};
