import { IWidgetContext, IWidgetInstance } from "lime";
import { FileUploadAIComponent, getActions } from "./main";
import { FileAIModuleNgFactory } from "./main.ngfactory";
export const widgetFactory = (context: IWidgetContext): IWidgetInstance => {
	return {
		actions: getActions(context),   
		angularConfig: {
			moduleFactory: FileAIModuleNgFactory,
			componentType: FileUploadAIComponent
		}
	};
}